Passer au contenu principal
PUT
/
crm
/
objects
/
2026-03
/
{objectType}
/
{objectId}
/
associations
/
{toObjectType}
/
{toObjectId}
Associer des fiches d'informations (étiquetées)
curl --request PUT \
  --url https://api.hubapi.com/crm/objects/2026-03/{objectType}/{objectId}/associations/{toObjectType}/{toObjectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "associationTypeId": 123
  }
]
'
import requests

url = "https://api.hubapi.com/crm/objects/2026-03/{objectType}/{objectId}/associations/{toObjectType}/{toObjectId}"

payload = [{ "associationTypeId": 123 }]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{associationTypeId: 123}])
};

fetch('https://api.hubapi.com/crm/objects/2026-03/{objectType}/{objectId}/associations/{toObjectType}/{toObjectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "fromObjectId": "<string>",
  "fromObjectTypeId": "<string>",
  "labels": [
    "<string>"
  ],
  "toObjectId": "<string>",
  "toObjectTypeId": "<string>"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

objectId
string
requis
objectType
string
requis
toObjectId
string
requis
toObjectType
string
requis

Corps

application/json
associationCategory
enum<string>
requis

La catégorie de l'association, par exemple « HUBSPOT_DEFINED ».

Options disponibles:
HUBSPOT_DEFINED,
INTEGRATOR_DEFINED,
USER_DEFINED,
WORK
associationTypeId
integer<int32>
requis

L'ID représentant le type spécifique d'association.

Réponse

successful operation

Les descripteurs de relation applicables entre deux types d'objets.

fromObjectId
string
requis

L'ID de l'objet source dans l'association.

fromObjectTypeId
string
requis

ID de type de l'objet source dans l'association.

labels
string[]
requis

Un ensemble de libellés associés à la relation entre les objets.

toObjectId
string
requis

L'ID de l'objet cible dans l'association.

toObjectTypeId
string
requis

L'ID de type de l'objet cible dans l'association.

Dernière modification le 1 avril 2026